
package com.zipcodewilmington.phonebook;

import org.junit.Assert;
import org.junit.Test;

    /**
     * Created by leon on 1/23/18.
     */
    public class PhoneBookTest {

        private static final int Expected = 0;

        @Test
        public void testHasEntry(){
            //Given
            PhoneBook book = new PhoneBook();
            String name = "Dog";
            String phoneNumber = "211-111-2222";
            book.hashEntry(name);
            //When
            boolean actualOutput = book.hashEntry(name);
            //Then
            Assert.assertEquals(true,actualOutput);
        }

        @Test
        public void testAdd(){
            //Given
            PhoneBook book = new PhoneBook();
            String name = "Sam";
            String phoneNumber = "222-333-444";

            //When
            //book.add(name, phoneNumber);
            String actualOutput = book.add(name, phoneNumber);
            //Then
            Assert.assertEquals(null, actualOutput);
        }

        @Test
        public void testLmeookup()
        {
            //Given
            PhoneBook book = new PhoneBook();
            String name = "John";
            String phoneNumber = "111-222-333";
            //book.lookup(name);
            String actualOutput=book.lmeookup(name);

            Assert.assertEquals(phoneNumber, actualOutput );
        }

        @Test
        public void testLookup_forMultipleEntries()
        {
            //Given
            PhoneBook book = new PhoneBook();
            book.add("name1", "111");
            book.add("name2", "222");

            String name = "Dog";
            String phoneNumber = "222-333-444";

            //book.lookup(name);
            String actualOutput=book.lmeookup(name);

            Assert.assertEquals(actualOutput ,phoneNumber );
        }
        @Test
        public void testRemove()
        {
            PhoneBook  book= new PhoneBook();
            String expectedname="John";
            String name="John";

           // String actual=
            String actualOutput=book.hasRemove(name);
            Assert.assertEquals(actualOutput,name);

        }
        @Test
       public void testReserveLookup()
       {
            PhoneBook  book= new PhoneBook();
            String name="Dog";
            String phoneNumber = book.lmeookup(name);
            String actualOutput = book.reverseLookup(phoneNumber);
            //String actualOutput=book.hashEntry(name, phoneNumber) ;
            Assert.assertEquals(name,actualOutput);
        }

      @Test
        public void testListNamesandNumbers()
        {
            PhoneBook  book= new PhoneBook();
            book.clearSortedMap();
            book.add("Zebra", "111-222-333");
            book.add("Dog", "222-444-4444");
            String expected = "Dog 222-444-4444\nZebra 111-222-333\n";
            String actualOutput= book.listNamesAndNumbers();
            Assert.assertEquals(expected, actualOutput);
        }

    }

